com.r3corda.node.services.config / NodeConfigurationFromConfig

# NodeConfigurationFromConfig

`class NodeConfigurationFromConfig : NodeConfiguration`

### Constructors

<init> | `NodeConfigurationFromConfig(config: <ERROR CLASS> = ConfigFactory.load())`

### Properties

config | `val config: <ERROR CLASS>`
dataSourceProperties | `val dataSourceProperties: Properties`
exportJMXto | `val exportJMXto: String`
keyStorePassword | `val keyStorePassword: String`
myLegalName | `val myLegalName: String`
nearestCity | `val nearestCity: String`
trustStorePassword | `val trustStorePassword: String`